Module
Inhalte
Index 🔎︎

# Anweisung Const

Definiert eine Zeichenkette als Konstante.

## Syntax:

    Const Text = Ausdruck

## Parameter:

Text: Ein beliebiger Konstantenname, der den Standardnamenskonventionen für Variablen entspricht.

Konstanten sind Variablen, die helfen, die Lesbarkeit eines Programms zu verbessern. Konstanten werden nicht als bestimmter Variablentyp definiert, sondern vielmehr als Platzhalter im Quelltext verwendet. Eine Konstante kann nur einmal definiert werden. Spätere Änderungen sind nicht mehr möglich. Verwenden Sie zur Definition einer Konstante folgende Anweisung:

CONST ConstName=Ausdruck

Der Typ des Ausdrucks ist nicht relevant. Bei der Ausführung eines Programms konvertiert LibreOffice Basic den Programmcode intern so, dass die Konstante bei jeder Verwendung durch den definierten Ausdruck ersetzt wird.

## Beispiel:

    Sub ExampleConst

        Const iVar = 1964

        MsgBox iVar

        Const sVar = "Program", dVar As Double = 1.00

        MsgBox sVar & " " & dVar

    End Sub